#include<bits/stdc++.h>

using namespace std;

int main()
{
    string s;
    cin >> s;
    int n=0,j=0;
    for(int i = 0; i<s.length(); i++)
    {
        if(s[i]==0) n++;
        else j++;
    }
    if(j<n) cout << j;
    else cout << n;
    
    return 0;
}